package com.steerinfo.ems.emsprodplanroundweight.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

@ApiModel(value="null")
public class EmsProdplanRoundWeight implements IBasePO<String> {
    /**
     * ID(FID,VARCHAR,100)
     */
    @ApiModelProperty(value="ID",required=true)
    private String fid;

    /**
     * 时间(PRODATE,VARCHAR,100)
     */
    @ApiModelProperty(value="时间",required=false)
    private String prodate;

    /**
     * 物料编码(MATERIALCODE,VARCHAR,100)
     */
    @ApiModelProperty(value="物料编码",required=false)
    private String materialcode;

    /**
     * 物料名称(MATERIALNAME,VARCHAR,100)
     */
    @ApiModelProperty(value="物料名称",required=false)
    private String materialname;

    /**
     * 完工量(QTY,DECIMAL,0)
     */
    @ApiModelProperty(value="完工量",required=false)
    private BigDecimal qty;

    /**
     * 单位(UNIT,VARCHAR,2)
     */
    @ApiModelProperty(value="单位",required=false)
    private String unit;

    /**
     * 轮次id(LC_ID,VARCHAR,100)
     */
    @ApiModelProperty(value="轮次id",required=false)
    private String lcId;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.fid;
    }

    @Override
    public void setId(String fid) {
        this.fid = fid == null ? null : fid.trim();
    }

    public String getFid() {
        return fid;
    }

    public void setFid(String fid) {
        this.fid = fid == null ? null : fid.trim();
    }

    public String getProdate() {
        return prodate;
    }

    public void setProdate(String prodate) {
        this.prodate = prodate == null ? null : prodate.trim();
    }

    public String getMaterialcode() {
        return materialcode;
    }

    public void setMaterialcode(String materialcode) {
        this.materialcode = materialcode == null ? null : materialcode.trim();
    }

    public String getMaterialname() {
        return materialname;
    }

    public void setMaterialname(String materialname) {
        this.materialname = materialname == null ? null : materialname.trim();
    }

    public BigDecimal getQty() {
        return qty;
    }

    public void setQty(BigDecimal qty) {
        this.qty = qty;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit == null ? null : unit.trim();
    }

    public String getLcId() {
        return lcId;
    }

    public void setLcId(String lcId) {
        this.lcId = lcId == null ? null : lcId.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", fid=").append(fid);
        sb.append(", prodate=").append(prodate);
        sb.append(", materialcode=").append(materialcode);
        sb.append(", materialname=").append(materialname);
        sb.append(", qty=").append(qty);
        sb.append(", unit=").append(unit);
        sb.append(", lcId=").append(lcId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}